net.sf.jasperreports.engine.base

## Class JRBaseParameter

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseParameter

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRCloneable, JRParameter, JRPropertiesHolder
  Direct Known Subclasses:
    JRBaseCrosstabParameter, JRDesignParameter

      public class JRBaseParameter
      extends java.lang.Object
      implements JRParameter, java.io.Serializable, JRChangeEventsSupport

  Version:
    $Id: JRBaseParameter.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRExpression` | `defaultValueExpression`
    `protected java.lang.String` | `description`
    `protected boolean` | `isForPrompting`
    `protected boolean` | `isSystemDefined`
    `protected java.lang.String` | `name`
    `protected java.lang.Class<?>` | `nestedType`
    `protected java.lang.String` | `nestedTypeName`
    `protected JRPropertiesMap` | `propertiesMap`
    `static java.lang.String` | `PROPERTY_DESCRIPTION`
    `protected java.lang.Class<?>` | `valueClass`
    `protected java.lang.String` | `valueClassName`
    `protected java.lang.String` | `valueClassRealName`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRParameter

      `FILTER, IS_IGNORE_PAGINATION, JASPER_REPORT, JASPER_REPORTS_CONTEXT, REPORT_CLASS_LOADER, REPORT_CONNECTION, REPORT_CONTEXT, REPORT_DATA_SOURCE, REPORT_FILE_RESOLVER, REPORT_FORMAT_FACTORY, REPORT_LOCALE, REPORT_MAX_COUNT, REPORT_PARAMETERS_MAP, REPORT_RESOURCE_BUNDLE, REPORT_SCRIPTLET, REPORT_TEMPLATES, REPORT_TIME_ZONE, REPORT_URL_HANDLER_FACTORY, REPORT_VIRTUALIZER, SORT_FIELDS`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRBaseParameter()`
    `protected` | `JRBaseParameter(JRParameter parameter, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRExpression` | `getDefaultValueExpression()`
    `java.lang.String` | `getDescription()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `java.lang.String` | `getName()`
    `java.lang.Class<?>` | `getNestedType()` Returns the parameter nested value type.
    `java.lang.String` | `getNestedTypeName()` Returns the name of the parameter nested value type.
    `JRPropertiesHolder` | `getParentProperties()` Returns the parent properties holder, whose properties are used as defaults for this object.
    `JRPropertiesMap` | `getPropertiesMap()` Returns this object's properties map.
    `java.lang.Class<?>` | `getValueClass()`
    `java.lang.String` | `getValueClassName()`
    `boolean` | `hasProperties()` Checks whether the object has any properties.
    `boolean` | `isForPrompting()`
    `boolean` | `isSystemDefined()`
    `void` | `setDescription(java.lang.String description)`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PROPERTY_DESCRIPTION

          public static final java.lang.String PROPERTY_DESCRIPTION

      See Also:
        Constant Field Values

    - #### name

          protected java.lang.String name

    - #### description

          protected java.lang.String description

    - #### valueClassName

          protected java.lang.String valueClassName

    - #### valueClassRealName

          protected java.lang.String valueClassRealName

    - #### nestedTypeName

          protected java.lang.String nestedTypeName

    - #### isSystemDefined

          protected boolean isSystemDefined

    - #### isForPrompting

          protected boolean isForPrompting

    - #### valueClass

          protected transient java.lang.Class<?> valueClass

    - #### nestedType

          protected transient java.lang.Class<?> nestedType

    - #### defaultValueExpression

          protected JRExpression defaultValueExpression

    - #### propertiesMap

          protected JRPropertiesMap propertiesMap

  - ### Constructor Detail

    - #### JRBaseParameter

          protected JRBaseParameter()

    - #### JRBaseParameter

          protected JRBaseParameter(JRParameter parameter,
                         JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `JRParameter`

    - #### getDescription

          public java.lang.String getDescription()

      Specified by:
        `getDescription` in interface `JRParameter`

    - #### setDescription

          public void setDescription(java.lang.String description)

      Specified by:
        `setDescription` in interface `JRParameter`

    - #### getValueClass

          public java.lang.Class<?> getValueClass()

      Specified by:
        `getValueClass` in interface `JRParameter`

    - #### getValueClassName

          public java.lang.String getValueClassName()

      Specified by:
        `getValueClassName` in interface `JRParameter`

    - #### getNestedType

          public java.lang.Class<?> getNestedType()

      Description copied from interface: `JRParameter`
      Returns the parameter nested value type.

      The parameter nested value type is used when the parameter value class is not sufficient in determining the expected type of the parameter values. The most common such scenario is when the parameter value class is `Collection` or a derived class, in which case the nested type specifies the type of values which are to be placed inside the collection.

      Specified by:
        `getNestedType` in interface `JRParameter`
      Returns:
        the nested value type for this parameter, or `null` if none set
      See Also:
        `JRParameter.getValueClass()`

    - #### getNestedTypeName

          public java.lang.String getNestedTypeName()

      Description copied from interface: `JRParameter`
      Returns the name of the parameter nested value type.
      Specified by:
        `getNestedTypeName` in interface `JRParameter`
      Returns:
        the name of the nested value type for this parameter, or `null` if none set
      See Also:
        `JRParameter.getNestedType()`

    - #### isSystemDefined

          public boolean isSystemDefined()

      Specified by:
        `isSystemDefined` in interface `JRParameter`

    - #### isForPrompting

          public boolean isForPrompting()

      Specified by:
        `isForPrompting` in interface `JRParameter`

    - #### getDefaultValueExpression

          public JRExpression getDefaultValueExpression()

      Specified by:
        `getDefaultValueExpression` in interface `JRParameter`

    - #### hasProperties

          public boolean hasProperties()

      Description copied from interface: `JRPropertiesHolder`
      Checks whether the object has any properties.
      Specified by:
        `hasProperties` in interface `JRPropertiesHolder`
      Returns:
        whether the object has any properties

    - #### getPropertiesMap

          public JRPropertiesMap getPropertiesMap()

      Description copied from interface: `JRPropertiesHolder`
      Returns this object's properties map.
      Specified by:
        `getPropertiesMap` in interface `JRPropertiesHolder`
      Returns:
        this object's properties map

    - #### getParentProperties

          public JRPropertiesHolder getParentProperties()

      Description copied from interface: `JRPropertiesHolder`
      Returns the parent properties holder, whose properties are used as defaults for this object.
      Specified by:
        `getParentProperties` in interface `JRPropertiesHolder`
      Returns:
        the parent properties holder, or `null` if no parent

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `java.lang.Object`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com